Subject: Re: Spurious warning when moving a file in presence of submodules

From: Jens Lehmann <[email-masked]>
Date: Fri, 11 Oct 2013 19:53:04 +0200

Hi Matthieu,

Am 11.10.2013 16:29, schrieb Matthieu Moy:
> I'm getting this warning:
> 
>   warning: Could not find section in .gitmodules where path=XXX
> 
> whenever I use "git mv" to move a file in a repository containing a
> submodule. The file is outside the submodule and is completely
> unrelated, so I do not understand the intent of the warning.
> 
> My understanding (without looking at the code in detail) is that Git
> tries to be clever about submodule renames, hence checks whether the
> source file is a submodule. But then if the lookup fails, it should just
> silently move on to "normal file move" mode I guess...

Right. Thanks for reporting, I can reproduce that here and am currently
looking into that.